org.eclipse.incquery.runtime.rete.index

## Enum DualInputNode.Side

- java.lang.Object
- - java.lang.Enum<DualInputNode.Side>
  - - org.eclipse.incquery.runtime.rete.index.DualInputNode.Side

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DualInputNode.Side>
  Enclosing class:
    DualInputNode

      public static enum DualInputNode.Side
      extends java.lang.Enum<DualInputNode.Side>

  Author:
    Gabor Bergmann

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTH`
    `PRIMARY`
    `SECONDARY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DualInputNode.Side` | `opposite()`
    `static DualInputNode.Side` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DualInputNode.Side[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRIMARY

          public static final DualInputNode.Side PRIMARY

    - #### SECONDARY

          public static final DualInputNode.Side SECONDARY

    - #### BOTH

          public static final DualInputNode.Side BOTH

  - ### Method Detail

    - #### values

          public static DualInputNode.Side[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DualInputNode.Side c : DualInputNode.Side.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DualInputNode.Side valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### opposite

          public DualInputNode.Side opposite()